X-Token: ********************{
"model": "claude-opus-4-6",
"messages": [
{
"role": "user",
"content": "北京今天天气怎么样?"
}
],
"tools": [
{
"type": "function",
"function": {
"name": "get_weather",
"description": "获取指定城市的天气信息",
"parameters": {
"type": "object",
"properties": {
"city": {
"type": "string",
"description": "城市名称"
}
},
"required": [
"city"
]
}
}
}
],
"tool_choice": "auto",
"max_tokens": 1000,
"stream": false
}curl --location --request POST 'https://code0.ai/v1/chat/completions' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"model": "claude-opus-4-6",
"messages": [
{
"role": "user",
"content": "北京今天天气怎么样?"
}
],
"tools": [
{
"type": "function",
"function": {
"name": "get_weather",
"description": "获取指定城市的天气信息",
"parameters": {
"type": "object",
"properties": {
"city": {
"type": "string",
"description": "城市名称"
}
},
"required": [
"city"
]
}
}
}
],
"tool_choice": "auto",
"max_tokens": 1000,
"stream": false
}'{"error":{"message":"Invalid URL (GET /v1/messages)","type":"invalid_request_error","param":"","code":""}}